#!/usr/bin/env tarantool

--[[
    Устанавливаем текущую директорию,
    как начальный путь загрузки всех модулей
]]
package.setsearchroot()

local cartridge = require('cartridge')
local log = require('log')

--[[
    Конфигурируем и запускаем cartridge на узле
    Задаем небольшое количество корзин шардирования
    для удобства разработки и отладки
    Указываем какие роли мы будем использовать в кластере
        - vshard storage для хранения шардированных данных
        - vshard router для доступа к ним
        - metrics для метрик
    Указываем рабочую директорию для хранения снапов, икслогов
    и конфигурации приложения `one`
]]
local _, err = cartridge.cfg({ -- 
    workdir = 'data',   -- default
    bucket_count = 32,  -- default, once

    roles = {
        'cartridge.roles.vshard-storage',  --
        'cartridge.roles.vshard-router',   -- 
    }, -- roles
})
if err ~= nil then
    log.info(err)
    os.exit(1)
end